curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/order/refund \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"refundRequestId": "156123911",
"prepayId": "1647438500687506",
"refundAmount": "0.8"
}
'{
"status": "SUCCESS",
"code": "000000",
"data": {
"refundRequestId": "156123911",
"prepayId": "1647438500687506",
"orderAmount": "1.91",
"refundAmount": "0.8",
"channelId": ""
},
"errorMessage": ""
}商户可以针对一个已成功支付的订单发起退款。 退款执行并不需要付款商户和用户确认。退款订单创建后就会开始安排执行。退款成功后,GatePay后台会发送退款结果通知。 请注意:退款不可以取消、撤回、回滚。
curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/order/refund \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"refundRequestId": "156123911",
"prepayId": "1647438500687506",
"refundAmount": "0.8"
}
'{
"status": "SUCCESS",
"code": "000000",
"data": {
"refundRequestId": "156123911",
"prepayId": "1647438500687506",
"orderAmount": "1.91",
"refundAmount": "0.8",
"channelId": ""
},
"errorMessage": ""
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /payment/open/institution/v1/pay/order/refund 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
X-GatePay-On-Behalf-Of。商户客户端ID,在 GatePay 平台申请获得
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256签名,用于验证请求合法性
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
时间戳(毫秒),与服务器时间差不能超过5分钟
"1672905655498"
随机数,用于防止重放攻击
"3525756760"
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。